package com.sheep.gamegroup.presenter;

import com.sheep.gamegroup.model.entity.BaseMessage;

/**
 * Created by ljy on 2018/3/18.
 */

public interface SignRecordContract {

    interface Presenter{

        void getStatistics();
        void getPunchLog(int action);

    }

    interface View{
        void succStatistics(BaseMessage o);
        void succPunchLog(BaseMessage o,int action);
        void failStatistics(BaseMessage o);
        void failPunchLog(BaseMessage o);

    }
}
